Subject: Re: bug#30235: [patch] undo-tree byte-compiler warnings

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 17 Sep 2019 14:39:04 +0200

Alex Branham <[email-masked]> writes:

> -      (dotimes (i arg)
> +      (dotimes (_i arg)

Jonas said:

> Toby, I am aware that I have suggested before that you use `_' as VAR in
> calls to `dotimes' instead of `i'.  You rejected that suggestion,
> claiming that the byte-compiler complaining about `i' not being used is
> a bug.

While my preference is to avoid compiler warnings (because having a
warning-free build allows anybody working on the code to proceed with
greater speed and confidence), I think that for ELPA code this should be
up to the maintainer.  Since it seems like Toby is opposed to these
changes, I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no